PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optical::effective::EffectiveFrequencyCyl::HeatDataImpl Struct Reference
Inheritance diagram for optical::effective::EffectiveFrequencyCyl::HeatDataImpl:
[legend]
Collaboration diagram for optical::effective::EffectiveFrequencyCyl::HeatDataImpl:
[legend]

## Public Member Functions
| HeatDataImpl (EffectiveFrequencyCyl *solver, const shared_ptr< const MeshD< 2 > > &dst_mesh, InterpolationMethod method)
size_t | size () const override
| Get the number of elements in this vector.
double | at (size_t j) const override
Public Member Functions inherited from plask::LazyDataImpl< double >
virtual | ~LazyDataImpl ()
virtual double | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const double > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< double > | claim () const

## Public Attributes
EffectiveFrequencyCyl * | solver
shared_ptr< const MeshD< 2 > > | dest_mesh
InterpolationFlags | flags
std::vector< LazyData< double > > | EE
dcomplex | lam0

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< double >
typedef double | CellType

## Detailed Description

Definition at line 1106 of file efm.cpp.

## Constructor & Destructor Documentation

## ◆ HeatDataImpl()

optical::effective::EffectiveFrequencyCyl::HeatDataImpl::HeatDataImpl | ( | EffectiveFrequencyCyl * | solver,
|  | const shared_ptr< const MeshD< 2 > > & | dst_mesh,
|  | InterpolationMethod | method
| ) |  |
| inline

Definition at line 1113 of file efm.cpp.

## Member Function Documentation

## ◆ at()

double optical::effective::EffectiveFrequencyCyl::HeatDataImpl::at | ( | size_t | j | ) | const
| inline override

Definition at line 1120 of file efm.cpp.

## ◆ size()

size_t optical::effective::EffectiveFrequencyCyl::HeatDataImpl::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< double >.

Definition at line 1118 of file efm.cpp.

## Member Data Documentation

## ◆ dest_mesh

shared_ptr<const MeshD<2> > optical::effective::EffectiveFrequencyCyl::HeatDataImpl::dest_mesh

Definition at line 1108 of file efm.cpp.

## ◆ EE

std::vector<LazyData<double> > optical::effective::EffectiveFrequencyCyl::HeatDataImpl::EE

Definition at line 1110 of file efm.cpp.

## ◆ flags

InterpolationFlags optical::effective::EffectiveFrequencyCyl::HeatDataImpl::flags

Definition at line 1109 of file efm.cpp.

## ◆ lam0

dcomplex optical::effective::EffectiveFrequencyCyl::HeatDataImpl::lam0

Definition at line 1111 of file efm.cpp.

## ◆ solver

EffectiveFrequencyCyl* optical::effective::EffectiveFrequencyCyl::HeatDataImpl::solver

Definition at line 1107 of file efm.cpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.cpp